| Qore SmtpClient Module Reference 1.9.3

Public Member Functions | Public Attributes | Protected Member Functions | List of all members
SmtpClient::SmtpConnection Class Reference

class for SMTP connections; returns an object of class SmtpClient for sending emails More...

Inherits ConnectionProvider::AbstractConnectionWithInfo.

## Public Member Functions
| constructor (string name, string description, string url, hash< auto > attributes={}, hash< auto > options={})
| creates the SmtpConnection connection object More...
*hash< auto > | getRuntimeOptions ()
| returns runtime options More...
string | getType ()
| returns `"smtp"`

## Public Attributes
const | ConnectionScheme = ...
| Connection entry info.

## Protected Member Functions
hash< ConnectionSchemeInfo > | getConnectionSchemeInfoImpl ()
| Returns the ConnectionSchemeInfo hash for this object.
SmtpClient | getImpl (bool connect=True, *hash< auto > rtopts)
| returns an SmtpClient object More...

## Detailed Description

class for SMTP connections; returns an object of class SmtpClient for sending emails

supports the following runtime options in getImpl() for connection logging:

- `"log"`: a closure accepting a single string for logging
- `"dbglog"`: a closure taking a single string for detailed technical connection logging

Since
  SmtpClient 1.6

## Member Function Documentation

## ◆ constructor()

SmtpClient::SmtpConnection::constructor | ( | string | name,
|  | string | description,
|  | string | url,
|  | hash< auto > | attributes = `{}`,
|  | hash< auto > | options = `{}`
| ) |  |

creates the SmtpConnection connection object

Parameters

  name | the name of the connection
  description | connection description
  url | connection URL (potentially with password info)
  attributes | various attributes. See below
  options | connection options

See AbstractConnection::constructor() for `attributes` and `options` reference.

Exceptions

  CONNECTION-OPTION-ERROR | missing or invalid connection option

## ◆ getImpl()

SmtpClient SmtpClient::SmtpConnection::getImpl | ( | bool | connect = `True`,
|  | *hash< auto > | rtopts
| ) |  |
| protected

returns an SmtpClient object

Parameters

  connect | if True, then SmtpClient::connect() is called
  rtopts | supports the following runtime options in getImpl() for connection logging: `"log"`: a closure accepting a single string for logging `"dbglog"`: a closure taking a single string for detailed technical connection logging

Returns
  an SmtpClient object

## ◆ getRuntimeOptions()

*hash<auto> SmtpClient::SmtpConnection::getRuntimeOptions | ( |  | ) |

returns runtime options

Returns
  a hash with the following keys reflecting support for the corresponding runtime options in getImpl() for connection logging:
  - `"log"`: a closure accepting a single string for logging
  - `"dbglog"`: a closure taking a single string for detailed technical connection logging